
Bugs - Bug #10

CAN-FIND conversion issue (if WHERE clause evaluated to TRUE)

10/03/2011 12:00 PM - Stanislav Lomany

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 09/24/2011 09:40 AM - Greg Shah

@45263 - additional issue:

The same problem occurs if the WHERE clause evaluates to FALSE during conversion.

#2 - 10/03/2011 11:50 PM - Stanislav Lomany

@45115 - issue description:

If WHERE clause of a CAN-FIND statement was evaluated to TRUE during conversion, the result is incorrect code.

if can-find(first book where true) then

=>

if ((new FindQuery(book, (String) null, null, "book.bookId asc", true, LockType.NONE).hasAny()).booleanValue()

)

#3 - 10/17/2011 03:42 PM - Redmine Admin

@45128 - Status changed from WIP to Hold

#4 - 04/12/2012 11:23 AM - Stanislav Lomany

Imported from JPRM on 2012-04-12 11:23:03.279:

TASKID      = 6103

PROJECTID   = 124
STATUS      = 3 (Hold)

DESCRIPTION = CAN-FIND conversion issue (if WHERE clause evaluated to TRUE)

OWNER       = SVL

ASSIGNEE    = 

BILLABLE    = false

PRIORITY    = 5 (Normal)

PHASE       = 52 (Problem Resolution)

COMPONENT   = 97

ESTEFFORT   = 0.000000

ESTSTART    = 2011-10-03

ESTSTOP     = 

ACTSTOP     = 

CASENUM     = 

VENDORID    = 

COMMENT     = ''

LASTWIP     = 2011-10-17
